Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service
Class GlobalAdmin

    java.lang.Object
      org.wso2.wsas.admin.service.AbstractAdmin
          org.wso2.wsas.admin.service.GlobalAdmin

public class GlobalAdmin
extends AbstractAdmin

Admin service to manage operations on the `AxisConfiguration`

Field Summary

Fields inherited from class org.wso2.wsas.admin.service.AbstractAdmin
`axisConfig, configCtx`

Constructor Summary
`GlobalAdmin()`

Method Summary
`boolean` | `deployModule(org.apache.axiom.om.OMElement element)`
`boolean` | `deployService(org.apache.axiom.om.OMElement element)`
`org.apache.axiom.om.OMElement[]` | `getDeclaredSystemParameters()` return only the parameters for explicitly set for this module (not including inherited ones), where each parameter is an XML fragment representing the "parameter" element.
`org.apache.axiom.om.OMElement` | `getPolicy()`
`boolean` | `isServerRegistered()`
`java.lang.String[]` | `listGlobalPhaseHandlers(int flow, java.lang.String phaseName)` List handlers in a given phase (global)
`java.lang.String[]` | `listGlobalPhases(int flow)` List global phases
`boolean` | `login(java.lang.String username, java.lang.String password)`
`void` | `logout()`
`boolean` | `ping()` This has used to test if the server is availabele and the current admins login status.
`void` | `restoreDefaults()` Restore the default system settings and override all the changes persisted in the database.
`void` | `serverRegistered()`
`void` | `setPolicy(org.apache.axiom.om.OMElement policyElement)`
`void` | `setSystemParameter(org.apache.axiom.om.OMElement parameterElement)`

Methods inherited from class org.wso2.wsas.admin.service.AbstractAdmin
`getAxisConfig, getConfigContext, init, setAxisConfig, setConfigContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlobalAdmin

    public GlobalAdmin()

Method Detail

### restoreDefaults

    public void restoreDefaults()

  Restore the default system settings and override all the changes persisted in the database. Please note that this is possible only for the default database included with WSO2 WSAS

### listGlobalPhaseHandlers

    public java.lang.String[] listGlobalPhaseHandlers(int flow,
                                                      java.lang.String phaseName)
                                               throws org.apache.axis2.AxisFault

  List handlers in a given phase (global)

  Parameters:
    `flow` -
    `phaseName` -
  Returns:
    list of global phase handlers as a String[].
  Throws:
    `org.apache.axis2.AxisFault`

### getDeclaredSystemParameters

    public org.apache.axiom.om.OMElement[] getDeclaredSystemParameters()
                                                                throws org.apache.axis2.AxisFault

  return only the parameters for explicitly set for this module (not including inherited ones), where each parameter is an XML fragment representing the "parameter" element. Note: In this case (unlike module/service group etc.), there are no inherited parameters.

  Throws:
    `org.apache.axis2.AxisFault`

### setSystemParameter

    public void setSystemParameter(org.apache.axiom.om.OMElement parameterElement)
                            throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### listGlobalPhases

    public java.lang.String[] listGlobalPhases(int flow)
                                        throws org.apache.axis2.AxisFault

  List global phases

  Parameters:
    `flow` -
  Returns:
    Global phases
  Throws:
    `org.apache.axis2.AxisFault`

### login

    public boolean login(java.lang.String username,
                         java.lang.String password)
                  throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### serverRegistered

    public void serverRegistered()

### isServerRegistered

    public boolean isServerRegistered()

### logout

    public void logout()
                throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### deployService

    public boolean deployService(org.apache.axiom.om.OMElement element)
                          throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### deployModule

    public boolean deployModule(org.apache.axiom.om.OMElement element)
                         throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getPolicy

    public org.apache.axiom.om.OMElement getPolicy()
                                            throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### setPolicy

    public void setPolicy(org.apache.axiom.om.OMElement policyElement)
                   throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### ping

    public boolean ping()

  This has used to test if the server is availabele and the current admins login status.

  Returns:
    boolean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD